@prefix rr: <http://www.w3.org/ns/r2rml#>.
@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#>.
@prefix fnml: <http://semweb.mmlab.be/ns/fnml#>.
@prefix fno: <https://w3id.org/function/ontology#>.
@prefix d2rq: <http://www.wiwiss.fu-berlin.de/suhl/bizer/D2RQ/0.1#>.
@prefix void: <http://rdfs.org/ns/void#>.
@prefix dc: <http://purl.org/dc/terms/>.
@prefix foaf: <http://xmlns.com/foaf/0.1/>.
@prefix rml: <http://semweb.mmlab.be/ns/rml#>.
@prefix ql: <http://semweb.mmlab.be/ns/ql#>.
@prefix : <http://mapping.example.com/>.
@prefix cd: <https://kupferdigital.gitlab.io/ontologies/copper#>.
@prefix grel: <http://users.ugent.be/~bjdmeest/function/grel.ttl#>.
@prefix owl: <http://www.w3.org/2002/07/owl#>.
@prefix om: <http://www.ontology-of-units-of-measure.org/resource/om-2/>.

:rules_000 a void:Dataset;
    void:exampleResource :map_parameters_000.
:map_parameters_000 rml:logicalSource :source_000.
:source_000 a rml:LogicalSource;
    rml:source "continuous-casting-parameters.csv";
    rml:referenceFormulation ql:CSV.
:map_parameters_000 a rr:TriplesMap;
    rdfs:label "parameters".
:s_000 a rr:SubjectMap.
:map_parameters_000 rr:subjectMap :s_000.
:s_000 rr:template "https://kupferdigital.gitlab.io/ontologies/copper#{Parameter}".
:pom_000 a rr:PredicateObjectMap.
:map_parameters_000 rr:predicateObjectMap :pom_000.
:pm_000 a rr:PredicateMap.
:pom_000 rr:predicateMap :pm_000.
:pm_000 rr:constant rdf:type.
:pom_000 rr:objectMap :om_000.
:om_000 a rr:ObjectMap;
    rr:constant "http://www.w3.org/2002/07/owl#Class";
    rr:termType rr:IRI.
:pom_001 a rr:PredicateObjectMap.
:map_parameters_000 rr:predicateObjectMap :pom_001.
:pm_001 a rr:PredicateMap.
:pom_001 rr:predicateMap :pm_001.
:pm_001 rr:constant rdfs:label.
:pom_001 rr:objectMap :om_001.
:om_001 a rr:ObjectMap;
    rml:reference "Label";
    rr:termType rr:Literal;
    rml:languageMap :language_000.
:language_000 rr:constant "de".
:pom_002 a rr:PredicateObjectMap.
:map_parameters_000 rr:predicateObjectMap :pom_002.
:pm_002 a rr:PredicateMap.
:pom_002 rr:predicateMap :pm_002.
:pm_002 rr:constant rdfs:subClassOf.
:pom_002 rr:objectMap :om_002.
:om_002 a rr:ObjectMap;
    rr:template "http://www.ontology-of-units-of-measure.org/resource/om-2/{Quantity}";
    rr:termType rr:IRI.
:pom_003 a rr:PredicateObjectMap.
:map_parameters_000 rr:predicateObjectMap :pom_003.
:pm_003 a rr:PredicateMap.
:pom_003 rr:predicateMap :pm_003.
:pm_003 rr:constant rdfs:subClassOf.
:pom_003 rr:objectMap :om_003.
:om_003 a rr:ObjectMap;
    rr:constant "https://kupferdigital.gitlab.io/ontologies/copper#ContinousCastingMachineParameters";
    rr:termType rr:IRI.
:pom_004 a rr:PredicateObjectMap.
:map_parameters_000 rr:predicateObjectMap :pom_004.
:pm_004 a rr:PredicateMap.
:pom_004 rr:predicateMap :pm_004.
:pm_004 rr:constant om:commonlyHasUnit.
:pom_004 rr:objectMap :om_004.
:om_004 a rr:ObjectMap;
    rr:template "http://www.ontology-of-units-of-measure.org/resource/om-2/{Unit}";
    rr:termType rr:IRI.
:pom_005 a rr:PredicateObjectMap.
:map_parameters_000 rr:predicateObjectMap :pom_005.
:pm_005 a rr:PredicateMap.
:pom_005 rr:predicateMap :pm_005.
:pm_005 rr:constant rdfs:definedBy.
:pom_005 rr:objectMap :om_005.
:om_005 a rr:ObjectMap;
    rr:constant "https://kupferdigital.gitlab.io/ontologies/copper#";
    rr:termType rr:IRI.
